Installing QT5.0.1 on linux



  • Hello,

    I have a problem installing QT5.0.1 on my workstation.
    I download the Qt5 64b.
    I did chmod 777 qt[....].run
    and then ./qt-linux[...].run
    the install was successful.
    but when I tried to open it from the last windows of the install software.
    it's opening me the readme correctly.
    but it doesn't open the qt creator.
    I have the following error :
    bq. Qt.5.0.1/Tools/QtCreator/bin/qtcreator: symbol lookup error:
    Qt.5.0.1/Tools/QtCreator/bin/platforms/libqxcb.so: undefined symbol : XIQueryVersion.

    And if I try to open QtCreator from the "program bar" nothing happen.

    do you know what is the problem ?

    thanks.


  • Lifetime Qt Champion

    Hi,

    IIRC I've asked you what linux OS you were using but these posts disappeared during the night, could you tell me again what distribution you are using ?



  • Hi

    I am using suse entreprise.

    Thanks


  • Lifetime Qt Champion

    I thought I saw something about sles, it was "this":http://qt-project.org/forums/viewthread/23709 You may have to check that for your version



  • why all my comments were suppressed ? ...

    Yes I had post a question on the other topic that you linked.
    They told me that they have to use openSUSE on a VM ....
    which is not really convincing ...
    I'ld like to find an other way to use Qt on suse.


  • Lifetime Qt Champion

    They were not suppressed, you should be seeing a red banner on the top of the page explaining what happened.

    If you're not tied to SLES, nothing forbids you to use openSUSE



  • I am unfortunatly tied to SLES.


  • Lifetime Qt Champion

    In that case build Qt5 yourself. One hard core alternative is to build your own libxcb with XInput2 extension using the same other options as Suse and use that one on your system (beware, you might break something)



  • for the hard core alternative, I think that I am not good enough to do it without any risk.
    to build Qt5 myself what do I have to do ?


  • Lifetime Qt Champion

    Grab the Qt sources, ./configure, make, make install (you might need to install some dependencies, have a look at the build documentation)



  • Hi SGaist,

    I am also trying this Qt5.1.0 install on suse entreprise 11 sp2 .While installing and runnig time i am also getting following error
    ./qtcreator: symbol lookup error: /opt/Qt5.1.0/Tools/QtCreator/bin/plugins/platforms/libqxcb.so: undefined symbol: XIQueryVersion

    I started build Qt-5.1.0 source ,but while running make i am getting following errors

    *../../../include/QtCore/5.1.0/QtCore/private/../../../../../src/corelib/kernel/qvariant_p.h:225: error: request for member ‘isNull’ in ‘*0u’, which is of non-class type ‘const bool’ *


  • Lifetime Qt Champion

    Did you install all dependencies and what compiler are you using ? How did you configure your Qt build ?



  • Hi SGaist,

    Thanks for your reply,

    I have not installed any dependencies ,I dont know which packages needs to be install for Qt on SLES(suse enterprise linux desktop 11sp3).

    I have tried directly with Qt-5.1.0 binary (qt-linux-opensource-5.1.0-x86-offline.run) but while running binary i am getting following error

    ./qtcreator: symbol lookup error: /opt/Qt5.1.0/Tools/QtCreator/bin/plugins/platforms/libqxcb.so: undefined symbol: XIQueryVersion

    In Qt forums Some people faced same probelm they have suggisted install libxcb package.
    But my os already has that package (xorg-x11-libxcb-7.4-1.29.1).

    For building Qt-5.1.0 i have downloaded source code (qt-everywhere-opensource-src-5.1.0) and ran follwing steps.
    -> ./configure
    ->make
    But while compiling with make i am getting lot of errors.


  • Lifetime Qt Champion

    To compile Qt 5 have a look at "this page":http://qt-project.org/wiki/Building_Qt_5_from_Git just check that you have the dependencies listed there in order to build Qt



  • I have tried to install using following command (copied from link which you have posted )but not able to install all packages.This command is for SUSE 12.2 but my operating system is SUSE 11 SP3.

    sudo zypper in xorg-x11-libxcb-devel xcb-util-devel xcb-util-image-devel xcb-util-keysyms-devel xcb-util-renderutil-devel xcb-util-wm-devel xorg-x11-devel libxkbcommon-devel

    The following message is displaying

    Loading repository data...
    Reading installed packages...
    Package 'xorg-x11-devel' not found.
    Package 'xorg-x11-libxcb-devel' not found.
    'libxkbcommon-devel' not found in package names. Trying capabilities.
    No provider of 'libxkbcommon-devel' found.
    'xcb-util-devel' not found in package names. Trying capabilities.
    No provider of 'xcb-util-devel' found.
    'xcb-util-image-devel' not found in package names. Trying capabilities.
    No provider of 'xcb-util-image-devel' found.
    'xcb-util-keysyms-devel' not found in package names. Trying capabilities.
    No provider of 'xcb-util-keysyms-devel' found.
    'xcb-util-renderutil-devel' not found in package names. Trying capabilities.
    No provider of 'xcb-util-renderutil-devel' found.
    'xcb-util-wm-devel' not found in package names. Trying capabilities.
    No provider of 'xcb-util-wm-devel' found.
    Resolving package dependencies...

    Nothing to do.

    Thanks
    Sreeram


  • Lifetime Qt Champion

    Then I can only say that you have to look for the equivalent packages for SUSE 11



  • Hi SGaist, Can you tell me, how to fix bug? I used SUSE 11SP3, I was find some package .rpm
    eg: xcb-util-devel.i586 rpm and installed it, but it show this package existed.
    Please, help me. Thanks

    Loading repository data…
    Reading installed packages…
    Package ‘xorg-x11-devel’ not found.
    Package ‘xorg-x11-libxcb-devel’ not found.
    ‘libxkbcommon-devel’ not found in package names. Trying capabilities.
    No provider of ‘libxkbcommon-devel’ found.
    ‘xcb-util-devel’ not found in package names. Trying capabilities.
    No provider of ‘xcb-util-devel’ found.
    ‘xcb-util-image-devel’ not found in package names. Trying capabilities.
    No provider of ‘xcb-util-image-devel’ found.
    ‘xcb-util-keysyms-devel’ not found in package names. Trying capabilities.
    No provider of ‘xcb-util-keysyms-devel’ found.
    ‘xcb-util-renderutil-devel’ not found in package names. Trying capabilities.
    No provider of ‘xcb-util-renderutil-devel’ found.
    ‘xcb-util-wm-devel’ not found in package names. Trying capabilities.
    No provider of ‘xcb-util-wm-devel’ found.
    Resolving package dependencies…
    [quote author="SGaist" date="1385066164"]Then I can only say that you have to look for the equivalent packages for SUSE 11[/quote]


Log in to reply
 

Looks like your connection to Qt Forum was lost, please wait while we try to reconnect.